PETSc version 3.15.5
Fix/Edit manual page

# VecExp

Replaces each component of a vector by e^x_i

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecExp(Vec v)

Not collective

### Input Parameter

| v | - The vector

### Output Parameter

| v | - The vector of exponents

### See Also

VecLog(), VecAbs(), VecSqrtAbs(), VecReciprocal()

### Level

beginner

### Location

src/vec/vec/utils/vinv.c

### Examples

src/tao/pde_constrained/tutorials/elliptic.c.html
src/tao/pde_constrained/tutorials/parabolic.c.html
src/tao/pde_constrained/tutorials/hyperbolic.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages